# PhasicFlow: src/Interaction/contactSearch/boundaries/periodicBoundaryContactSearch/ppwBndryContactSearchKernels.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

ppwBndryContactSearchKernels.cpp File Reference
Include dependency graph for ppwBndryContactSearchKernels.cpp:

Go to the source code of this file.

## Functions

INLINE_FUNCTION_HD bool | sphereSphereCheckB (const pFlow::realx3 &p1, const pFlow::realx3 p2, pFlow::real d1, pFlow::real d2)

## Function Documentation

## sphereSphereCheckB()

INLINE_FUNCTION_HD bool sphereSphereCheckB | ( | const pFlow::realx3 & | p1,
|  | const pFlow::realx3 | p2,
|  | pFlow::real | d1,
|  | pFlow::real | d2
| ) |  |

Definition at line 4 of file ppwBndryContactSearchKernels.cpp.

References length().

Referenced by pFlow::pweBndryContactSearchKernels::broadSearchPP().

Here is the call graph for this function:
Here is the caller graph for this function: